### Home Classes Methods

### In Files

- app/controllers/tracks_controller.rb

### Parent

ApplicationController

### Methods

- #index
- #search_video

### Files

- README_FOR_APP

### Class Index

Quicksearch

- LastFM
- LastFM::Album
- LastFM::Artist
- LastFM::Chart
- LastFM::Request
- LastFM::Track
- LastFM::Validator
- DeviseAuth
- DeviseAuth::RegistrationsController
- DeviseAuth::SessionsController
- Users
- Users::OmniauthCallbacksController
- ApplicationController
- ApplicationHelper
- Artist
- ArtistsController
- ChartsController
- HomeController
- Playlist
- PlaylistsTracks
- RedisQueryable
- SearchController
- Track
- TracksController
- User
- UsersController
- UsersHelper
- YoutubeVideoRating

No matching classes.

# TracksController

### Public Instance Methods

index() click to toggle source

       # File app/controllers/tracks_controller.rb, line 2
    2:   def index

    3:   end

search_video() click to toggle source

        # File app/controllers/tracks_controller.rb, line 5
     5:   def search_video

     6:

     7:     @video = @youtube_client.videos_by(:query => "#{CGI.unescape(params[:artist])} #{CGI.unescape(params[:track])} official", :page => 1, :per_page => 1, :order_by => "relevance")

     8:     @id = @video.videos.first.unique_id

     9:

    10:     render :partial=>"video_id", :locals=>{:id=>@id}

    11:   end

Disabled; run with --debug to generate this.

[Validate]

Generated with the Darkfish Rdoc Generator 1.1.6.